org.springframework.data.jdbc.repository.config

## Interface DialectResolver.JdbcDialectProvider

All Known Implementing Classes:
  DialectResolver.DefaultDialectProvider

Enclosing class:
  DialectResolver

    public static interface DialectResolver.JdbcDialectProvider

SPI to extend Spring's default JDBC Dialect discovery mechanism. Implementations of this interface are discovered through Spring's `SpringFactoriesLoader` mechanism.

Author:
  Jens Schauder
See Also:
  `SpringFactoriesLoader`

### Method Summary

All Methods Instance Methods Abstract Methods
`Optional<Dialect>` `getDialect(JdbcOperations operations)` Returns a `Dialect` for a `DataSource`.

### Method Detail

#### getDialect

    Optional<Dialect> getDialect(JdbcOperations operations)

Returns a `Dialect` for a `DataSource`.

Parameters:
  `operations` - the `JdbcOperations` to be used with the `Dialect`.
Returns:
  `Optional` containing the `Dialect` if the `DialectResolver.JdbcDialectProvider` can provide a dialect object, otherwise `Optional.empty()`.